Skip to main content

Get Matches

GET 

/match/v1/match

Get pages of matches based on provided filters.

Required Permissions:

  • For any match any of: match:*, match:match:any:read

Request

Query Parameters

    cursor any
    page_size any

    The maximum number of elements to be returned per call

    instance_id any
    allocation_id any
    session_id any
    host_player_uuid any
    region_id any
    player_uuid any
    type any
    state any
    include_segments Include Segments

    Default value: true

    include_players Include Players

    Default value: true

Responses

Successful Response

Schema

    matches

    object[]

    List of matches

  • Array [

  • last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    type

    object

    Type of match

    anyOf

    string

    state

    object

    State of the match

    anyOf

    Match States.

    string

    Possible values: [pending, closed]

    start_timestamp

    object

    Start time of the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    end_timestamp

    object

    End time of the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    duration_seconds

    object

    Duration in seconds of the match

    anyOf

    integer

    custom_data

    object

    Custom data for the match

    anyOf

    property name* string

    correlation_id

    object

    Correlation ID for the match

    anyOf

    string

    sessions

    object[]

    List of session IDs for the match

  • Array [

  • session_id Session Id (string)required

    Possible values: non-empty and <= 128 characters

    Session ID

    matchmaking_profile_id

    object

    Profile ID

    anyOf

    string

  • ]

  • instances

    object[]

    List of MatchInstances for the match

  • Array [

  • instance_id Instance Id (string)required

    Possible values: non-empty and <= 128 characters

    Instance ID

    host_player_uuid

    object

    Player UUID of the host

    anyOf

    string

    region_id

    object

    Region ID the instance is in

    anyOf

    string

    instance_request_template_id

    object

    Launch request template ID

    anyOf

    string

    map

    object

    Map the instance is on

    anyOf

    string

    game_mode

    object

    Game mode the instance is in

    anyOf

    string

    host_type

    object

    Type of host

    anyOf

    Whether the host is another player, or a dedicated instance

    string

    Possible values: [dedicated, player]

  • ]

  • allocations

    object[]

    List of allocation IDs for the match

  • Array [

  • allocation_id Allocation Id (string)required

    Possible values: non-empty and <= 128 characters

    Allocation ID

  • ]

  • match_id Match Id (string)

    Possible values: non-empty and <= 128 characters

    segments

    object[]

    List of segments for the match

  • Array [

  • last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    type

    object

    Type of match

    anyOf

    string

    state

    object

    State of the match

    anyOf

    Match States.

    string

    Possible values: [pending, closed]

    start_timestamp

    object

    Start time of the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    end_timestamp

    object

    End time of the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    duration_seconds

    object

    Duration in seconds of the match

    anyOf

    integer

    custom_data

    object

    Custom data for the match

    anyOf

    property name* string

    correlation_id

    object

    Correlation ID for the match

    anyOf

    string

    sessions

    object[]

    List of session IDs for the match

  • Array [

  • session_id Session Id (string)required

    Possible values: non-empty and <= 128 characters

    Session ID

    matchmaking_profile_id

    object

    Profile ID

    anyOf

    string

  • ]

  • instances

    object[]

    List of MatchInstances for the match

  • Array [

  • instance_id Instance Id (string)required

    Possible values: non-empty and <= 128 characters

    Instance ID

    host_player_uuid

    object

    Player UUID of the host

    anyOf

    string

    region_id

    object

    Region ID the instance is in

    anyOf

    string

    instance_request_template_id

    object

    Launch request template ID

    anyOf

    string

    map

    object

    Map the instance is on

    anyOf

    string

    game_mode

    object

    Game mode the instance is in

    anyOf

    string

    host_type

    object

    Type of host

    anyOf

    Whether the host is another player, or a dedicated instance

    string

    Possible values: [dedicated, player]

  • ]

  • allocations

    object[]

    List of allocation IDs for the match

  • Array [

  • allocation_id Allocation Id (string)required

    Possible values: non-empty and <= 128 characters

    Allocation ID

  • ]

  • match_segment Match Segment (string)required

    Possible values: non-empty and <= 16 characters

    Segment ID of the match

    match_id Match Id (string)

    Possible values: non-empty and <= 128 characters

    players

    object[]

    List of players in the match

  • Array [

  • last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    player_uuid uuid

    team_id

    object

    Team ID the player was on

    anyOf

    string

    party_session_id

    object

    Party session ID the player was in

    anyOf

    string

    placement

    object

    Placement of the player in the match

    anyOf

    integer

    joined_match_timestamp

    object

    Time the player joined the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    left_match_timestamp

    object

    Time the player left the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    duration_seconds

    object

    Duration in seconds the player was in the match

    anyOf

    integer

    starting_rank

    object

    Starting rank of the player in the match

    anyOf

    string

    finishing_rank

    object

    Finishing rank of the player in the match

    anyOf

    string

    custom_data

    object

    Custom data for the player

    anyOf

    property name* string
  • ]

  • ]

  • players

    object[]

    List of players in the match

  • Array [

  • last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    player_uuid uuid

    team_id

    object

    Team ID the player was on

    anyOf

    string

    party_session_id

    object

    Party session ID the player was in

    anyOf

    string

    placement

    object

    Placement of the player in the match

    anyOf

    integer

    joined_match_timestamp

    object

    Time the player joined the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    left_match_timestamp

    object

    Time the player left the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    duration_seconds

    object

    Duration in seconds the player was in the match

    anyOf

    integer

    starting_rank

    object

    Starting rank of the player in the match

    anyOf

    string

    finishing_rank

    object

    Finishing rank of the player in the match

    anyOf

    string

    custom_data

    object

    Custom data for the player

    anyOf

    property name* string
  • ]

  • ]

  • cursor

    object

    Base64 encoded json that contains the filters and cursor position

    anyOf

    string

Loading...